# UniTAP.common.data_info

class DataInfo:

Class contains information of frame `Packing`, `ComponentOrder`, `Alignment`.

packing
component_order
alignment
def is_valid(self) -> bool:

Check that information is valid (not equal UNKNOWN state).

###### Returns:

> object of bool type.

class DataInfo.Packing(enum.IntEnum):

Contains values of possible packing.

P_UNKNOWN = <Packing.P_UNKNOWN: 0>
P_PLANAR = <Packing.P_PLANAR: 1>
P_PACKED = <Packing.P_PACKED: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class DataInfo.ComponentOrder(enum.IntEnum):

Contains values of possible component order.

CO_UNKNOWN = <ComponentOrder.CO_UNKNOWN: 0>
CO_UCDRX = <ComponentOrder.CO_UCDRX: 1>
CO_RGB = <ComponentOrder.CO_RGB: 2>
CO_RGBA = <ComponentOrder.CO_RGBA: 3>
CO_BGR = <ComponentOrder.CO_BGR: 4>
CO_BGRA = <ComponentOrder.CO_BGRA: 5>
CO_YCbCr = <ComponentOrder.CO_YCbCr: 6>
CO_CbY0CrY1 = <ComponentOrder.CO_CbY0CrY1: 7>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class DataInfo.Alignment(enum.IntEnum):

Contains values of possible alignment.

A_UNKNOWN = <Alignment.A_UNKNOWN: 0>
A_MSB = <Alignment.A_MSB: 1>
A_LSB = <Alignment.A_LSB: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator